const redis = require('redis-mock');
const client = redis.createClient();

const provablyFair = require('provably-fair')(client);

const clientSeed = 'clientSeed';
const guess = 5;

for (let i = 0; i < 5; i++) {
    let serverSeedHash = provablyFair.generateServerSeedHash();
    provablyFair.createAndChallenge({
      serverSeedHash,
      clientSeed,
      expiresIn: 60 * 60,
      guess,
      customResult: function (randomNumber) {
          return Math.floor(randomNumber * 10) + 1;
        },
    }, (err, valid, bet) => {
        console.log(`Your guess is ${guess}, result is ${bet.result}, you ${ valid ? 'WIN' : 'LOSE' }`)
    });
};
